import { Unit } from '../lifecycle/decorators.ts'
import {RecursiveCanonical} from './RecursiveCanonical.ts'

/**
 * Canonical unit which loads the config files into memory.
 * @extends RecursiveCanonical
 */
@Unit()
export default class Config extends RecursiveCanonical {
    protected base_path = './app/configs'
    protected suffix = '.config.ts'
    protected canonical_item = 'config'
}
